data:extend
(
{
 {
  type = "accumulator",
  name = "accu-100",
  icon = "__Accu100__/graphics/accu-100.png",
  flags = {"placeable-neutral", "player-creation"},
  minable = {hardness = 0.2, mining_time = 0.5, result = "accu-100"},
  max_health = 150,
  corpse = "medium-remnants",
  collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
  selection_box = {{-1, -1}, {1, 1}},
  energy_source =
  {
   type = "electric",
   buffer_capacity = "500MJ",
   usage_priority = "terciary",
   input_flow_limit = "30MW",
   output_flow_limit = "30MW"
  },
  picture =
  {
   filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator.png",
   priority = "extra-high",
   width = 124,
   height = 103,
   shift = {0.7, -0.2},
   tint = {r = 0, g = 71, b = 171}
  },
  charge_animation =
  {
   filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-charge-animation.png",
   width = 138,
   height = 135,
   line_length = 8,
   frame_count = 24,
   shift = {0.482, -0.638},
   tint = {r = 0, g = 71, b = 171},
   animation_speed = 0.5
  },
  charge_cooldown = 30,
  charge_light = {intensity = 0.3, size = 7},
  discharge_animation =
  {
   filename = "__base__/graphics/entity/basic-accumulator/basic-accumulator-discharge-animation.png",
   width = 147,
   height = 128,
   line_length = 8,
   frame_count = 24,
   shift = {0.395, -0.525},
   tint = {r = 0, g = 71, b = 171},
   animation_speed = 0.5
  },
  discharge_cooldown = 60,
  discharge_light = {intensity = 0.7, size = 7},
  vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
  working_sound =
  {
   sound =
   {
    filename = "__base__/sound/accumulator-working.ogg",
    volume = 1
   },
   idle_sound =
   {
    filename = "__base__/sound/accumulator-idle.ogg",
    volume = 0.4
   },
   max_sounds_per_type = 5
  },
 },
 {
  type = "item",
  name = "accu-100",
  icon = "__Accu100__/graphics/accu-100.png",
  flags = {"goes-to-quickbar"},
  subgroup = "energy",
  order = "e[accumulator]-b[accu-100]",
  place_result = "accu-100",
  stack_size = 50
 },
 {
  type = "recipe",
  name = "accu-100",
  energy_required = 50,
  enabled = false,
  ingredients =
  {
   {"basic-accumulator", 100},
   {"processing-unit", 50}
  },
  result = "accu-100"
 },
 {
  type = "technology",
  name = "electric-energy-accumulators-2",
  icon = "__Accu100__/graphics/accu-100.png",
  prerequisites = {"electric-energy-accumulators-1", "advanced-electronics-2"},
  effects =
  {
   {
    type = "unlock-recipe",
    recipe = "accu-100"
   }
  },
  unit =
  {
   count = 100,
   ingredients =
   {
    {"science-pack-1", 1},
    {"science-pack-2", 1},
    {"science-pack-3", 1},
    {"alien-science-pack", 1}
   },
   time = 60
  },
  upgrade = true,
  order = "c-e-a"
 }
}
)